package com.mx.dla.dda.factura.ws.dtos;

import java.util.ArrayList;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class DTFactura extends BaseDTO {

	/**
	 * 
	 */
    private static final long serialVersionUID = -6102525404916007971L;
	protected DTFactura.Factura factura;

	public DTFactura.Factura getFactura() {
		return factura;
	}

	public void setFactura(DTFactura.Factura value) {
		this.factura = value;
	}

	public static class Factura extends BaseDTO {

		/**
		 * 
		 */
        private static final long serialVersionUID = 8175812457848752434L;
		protected String                           sociedad;
		protected String                           referencia;
		protected String                           indicador;
		protected String                           tipoDoc;
		protected String                           fechaContabilizacion;
		protected String                           fechaFactura;
		protected String                           moneda;
		protected String                           texto;
		protected String                           monto;
		protected List<DTFactura.Factura.Posicion> posicion;

		public String getSociedad() {
			return sociedad;
		}

		public void setSociedad(String value) {
			this.sociedad = value;
		}

		public String getReferencia() {
			return referencia;
		}

		public void setReferencia(String value) {
			this.referencia = value;
		}

		public String getIndicador() {
			return indicador;
		}

		public void setIndicador(String value) {
			this.indicador = value;
		}

		public String getTipoDoc() {
			return tipoDoc;
		}

		public void setTipoDoc(String value) {
			this.tipoDoc = value;
		}

		public String getFechaContabilizacion() {
			return fechaContabilizacion;
		}

		public void setFechaContabilizacion(String value) {
			this.fechaContabilizacion = value;
		}

		public String getFechaFactura() {
			return fechaFactura;
		}

		public void setFechaFactura(String value) {
			this.fechaFactura = value;
		}

		public String getMoneda() {
			return moneda;
		}

		public void setMoneda(String value) {
			this.moneda = value;
		}

		public String getTexto() {
			return texto;
		}

		public void setTexto(String value) {
			this.texto = value;
		}

		public String getMonto() {
			return monto;
		}

		public void setMonto(String value) {
			this.monto = value;
		}

		public List<DTFactura.Factura.Posicion> getPosicion() {
			if (posicion == null) {
				posicion = new ArrayList<DTFactura.Factura.Posicion>();
			}
			return this.posicion;
		}

		public void setgetPosicion(List<DTFactura.Factura.Posicion> posicion) {
			this.posicion = posicion;
		}

		public static class Posicion extends BaseDTO {

			/**
			 * 
			 */
            private static final long serialVersionUID = 4093342220509778066L;
			protected String posicion;
			protected String pedido;
			protected String indImpuesto;
			protected String posicionPO;
			protected String importe;
			protected String cantidad;
			protected String unMedidaISO;

			public String getPosicion() {
				return posicion;
			}

			public void setPosicion(String value) {
				this.posicion = value;
			}

			public String getPedido() {
				return pedido;
			}

			public void setPedido(String value) {
				this.pedido = value;
			}

			public String getIndImpuesto() {
				return indImpuesto;
			}

			public void setIndImpuesto(String value) {
				this.indImpuesto = value;
			}

			public String getPosicionPO() {
				return posicionPO;
			}

			public void setPosicionPO(String value) {
				this.posicionPO = value;
			}

			public String getImporte() {
				return importe;
			}

			public void setImporte(String value) {
				this.importe = value;
			}

			public String getCantidad() {
				return cantidad;
			}

			public void setCantidad(String value) {
				this.cantidad = value;
			}

			public String getUnMedidaISO() {
				return unMedidaISO;
			}

			public void setUnMedidaISO(String value) {
				this.unMedidaISO = value;
			}

		}

	}

}
